amsynth (1.13.4-2) unstable; urgency=medium

  [ Bastian Germann ]
  * Do not configure LV2 (was not enabled anyway)

  [ Dennis Braun ]
  * Bump Standards-Version to 4.7.2
  * Apply wrap-and-sort -ast
  * Update d/copyright GPL-2+ license text

 -- Dennis Braun <snd@debian.org>  Wed, 30 Apr 2025 17:52:24 +0200

amsynth (1.13.4-1) unstable; urgency=medium

  * New upstream release 1.13.4
  * DSSI build error was fixed in 1.13.3 (Closes: #1071294)
  * Bump Standards-Version to 4.7.0

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Fri, 17 May 2024 20:49:49 -0400

amsynth (1.13.2-1) unstable; urgency=medium

  * New upstream version 1.13.2

 -- Dennis Braun <snd@debian.org>  Fri, 03 Feb 2023 17:33:55 +0100

amsynth (1.13.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Dennis Braun ]
  * New upstream version 1.13.1
  * Change my email address
  * Bump Standards-Version to 4.6.2
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Sat, 28 Jan 2023 23:18:23 +0100

amsynth (1.13.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Dennis Braun ]
  * New upstream version 1.13.0
  * Refresh patchset
  * Bump Standards Version to 4.6.1

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 17 Jul 2022 12:46:06 +0200

amsynth (1.12.4-1) unstable; urgency=medium

  * New upstream version 1.12.4
  * Bump Standards-Version to 4.6.0
  * d/copyright: Update year
  * d/copyright: Add myself to the d/ section
  * d/copyright: Add vendor/nsm/nsm.h and ISC license
  * d/tests/control: Don't run test command in background

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 20 Jan 2022 21:03:38 +0100

amsynth (1.12.2-1) unstable; urgency=medium

  * New upstream version 1.12.2

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 21 Nov 2020 14:57:32 +0100

amsynth (1.12.1-1) unstable; urgency=medium

  * New upstream version 1.12.1

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 15 Nov 2020 14:25:02 +0100

amsynth (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 11 Nov 2020 17:58:54 +0100

amsynth (1.11.0-1) unstable; urgency=medium

  [ Olivier Humbert ]
  * d/copyright: update upstream copyright year
  * d/control: typo fix in the short description
  * d/control: adds "Provides" items

  [ Dennis Braun ]
  * New upstream version 1.11.0
  * Add salsa-ci.yml
  * Add a simple version autopkgtest
  * Add libjack-jackd2-dev as optional B-D
  * Add autoconf-archive as B-D
  * Add word-wrap at end of d/control to make lintian happy
  * Use --libdir=/usr/lib instead of patches, fixes vst installation

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 27 Sep 2020 22:26:50 +0200

amsynth (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0
  * Fix dssi lib dir installation
  * Add hardening
  * Set RRR: no
  * Bump dh-compat to 13
  * Bump S-V to 4.5.0
  * Add me as uploader
  * Add d/upstream/metadata
  * Remove obsolete LDFLAGS export

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 09 May 2020 22:46:18 +0200

amsynth (1.9.0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Olivier Humbert ]
  * Update control (http -> https)

  [ Dennis Braun ]
  * New upstream version 1.9.0
  * d/control:
    + Bump debhelper-compat version to 12
    + Bump standards version to 4.4.1
    + Drop useless dh-autoreconf from Build-Depends
    + Add liboscpack-dev to B-D as suggested by upstream
  * d/copyright:
    + Update copyright year
  * d/patches/format_security: Drop, obsolete
  * d/patches/appdata_dir_fix.patch: Add, fixes installation path
  * d/rules: Remove unnecessary --parallel dh argument

  [ Sebastian Ramacher ]
  * debia/rules: Call autogen.sh via dh_autoreconf

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 21 Jan 2020 22:12:24 +0100

amsynth (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0 (Closes: #919821)
  * Depends on libgtk2.0-dev rather than gtkmm.
  * Add patch for conforming to -Werror=format-security hardening flag.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sun, 20 Jan 2019 11:26:13 -0500

amsynth (1.6.4-2) unstable; urgency=medium

  * Move lv2 plugins to /usr/lib/lv2/. Thanks to Takeshi Soejima.
    (Closes: #861928)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sun, 29 Jul 2018 15:52:42 +0800

amsynth (1.6.4-1) unstable; urgency=medium

  * Imported Upstream version 1.6.4
  * Update upstream references
  * Refresh debian/copyright
  * Revert "Make package's builds reproducible"
    This reverts commit 36d1579fa54bf05d3c4c54d6bced02a5559613bf
    The patch has been applied upstream.
  * Enable LV2 explicitly
  * Fix lintian's vcs-field-uses-insecure-uri warning
  * Bump Standards

 -- Alessio Treglia <alessio@debian.org>  Sun, 04 Sep 2016 13:48:53 +0100

amsynth (1.5.1-2) unstable; urgency=medium

  * Make package's builds reproducible
    - Review Dhole's patch: upstream might be interested in printing such
      information as compilation timestamp, so I'd prefer to not just get
      rid of it unconditionally and append DEBIAN_REPRODUCIBLE_BUILDS to
      the preprocessor's list of defines. (Closes: #788751)

 -- Alessio Treglia <alessio@debian.org>  Tue, 16 Jun 2015 14:34:51 +0100

amsynth (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Delete 0001-ftbfs.patch, applied upstream.
  * Use debhelper 9.
  * Remove debian/patches/.
  * Project's moved to github.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 10 May 2015 14:09:23 +0100

amsynth (1.4.2-2) unstable; urgency=medium

  * Attempt to fix build failure on non-Linuxes.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Apr 2014 23:34:00 +0100

amsynth (1.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Apr 2014 15:29:06 +0100

amsynth (1.4.1-2) unstable; urgency=low

  * Disable ALSA on non-Linux.

 -- Alessio Treglia <alessio@debian.org>  Mon, 24 Feb 2014 12:06:40 +0000

amsynth (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Point the watch file to the new URL.
  * Update Vcs URLs.
  * debian/rules:
    - Disable -fno-exceptions.
    - Do no longer need to rename destination path.
  * Remove debian/amsynth.desktop, provided by upstream.
  * Remove unnecessary debian/dirs.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 24 Feb 2014 11:28:52 +0000

amsynth (1.3.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 May 2013 10:53:28 +0200

amsynth (1.3.2-1) experimental; urgency=low

  * New upstream release. Pushed to experimental due to Wheezy freeze time.
  * Remove gcc 4.7 issue patch, applied by upstream.
  * Add myself as uploader.
  * Upstream adds new DSSI plugin option (it will close #629192 when package
    goes to unstable).
  * Depends on dssi-dev for dssi host and liblo-dev for dssi gui.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 20 Nov 2012 22:16:49 -0500

amsynth (1.3.0-2) unstable; urgency=low

  * Really build with --as-needed.
  * Enable parallel builds.
  * Tune CFLAGS and implement DEB_BUILD_OPTIONS' noopt flag.
  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> include.
    Thanks to Cyril Brulebois <kibi@debian.org> (Closes: 667098)
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 Apr 2012 10:03:20 +0200

amsynth (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * New upstream URL for releases and homepage.
  * Update debian/copyright.
  * Remove 01-spelling_error.patch, applied upstream.
  * Delete 02-create_new_instance.patch, applied upstream.
  * Switch from autotools_dev to dh_autoreconf.

 -- Alessio Treglia <alessio@debian.org>  Thu, 09 Feb 2012 20:25:32 +0100

amsynth (1.2.3-3) unstable; urgency=low

  * Suggests on vkeybd, thanks to Mauro Lizaur for the suggestion.
  * Update debian/gbp.conf.
  * Replace negated list of architectures with linux-any (Closes: #634661)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 19 Jul 2011 13:15:05 +0200

amsynth (1.2.3-2) unstable; urgency=low

  * Switch to 3.0 (quilt).
  * Update my email address.
  * Bump Standards.
  * Add .gitignore file.
  * Add git-buildpackage config file.
  * Call "amsynth" and not "amSynth" to create new instance (Closes:
    #591602)
  * Use autotools_dev add-on to update config.{guess,sub} before running
    configure.
  * Add -Wl,--as-needed to linking options.

 -- Alessio Treglia <alessio@debian.org>  Wed, 04 Aug 2010 10:56:50 +0200

amsynth (1.2.3-1) unstable; urgency=low

  * The launcher should be placed under Sound&Video menu (LP: #525299).
  * Set source format to 1.0.
  * New upstream release:
    - Fixes FTBFS with GCC-4.5 (Closes: #564852).
  * Update debian/copyright.
  * Refresh debian/patches/01-spelling_error.patch.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 10 May 2010 11:36:19 +0200

amsynth (1.2.2-2) unstable; urgency=low

  * Adjust build-dep on debhelper to ease backporters' life.
  * Add quilt support.
  * Bump Standards.
  * Allow uploads by Debian Maintainers.
  * Don't depend on libjack0, shlibs macro provides all the needed
    dependencies.
  * Add README.source to document how to patch the sources.
  * Add patch to correct a small spelling error.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 22 Mar 2010 10:04:51 +0100

amsynth (1.2.2-1) unstable; urgency=low

  [ Adrian Knoth ]
  * Change Maintainer's address to new ML (pkg-mmm)

  [ Alessio Treglia ]
  * New upstream release.
  * Fix watch file.
  * debian/copyright:
    - Update.
    - Convert to machine-readable format (according to Debian DEP-5).
  * debian/control:
    - Bump Standards.
    - Add myself to Uploaders.
    - Add Homepage field.
    - Add ${misc:Depends} to Depends field.
  * Remove all patches, adopted by upstream.
  * Drop dpatch support.
  * debian/{compat,control,rules}:
    - Switch to debhelper 7.
  * Fix debian/amsynth.desktop as per spec.
  * Fix debian/menu as per Debian Menu System's policy.
  * Fix debian/amsynth.1 to make lintian happy.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 03 Dec 2009 23:48:03 +0100

amsynth (1.2.0-4) unstable; urgency=low

  * Depend on libjack0 instead of libjack0.100.0-0 (Closes #522150)
  * Drop 80_libjack patch, it's no longer needed
  * Add Vcs-Git and Vcs-Browser

 -- Free Ekanayaka <freee@debian.org>  Sun, 19 Apr 2009 12:25:22 +0200

amsynth (1.2.0-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Actually apply the gcc-4.3 patch. (Closes: #455360)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Tue, 18 Mar 2008 11:33:48 +0100

amsynth (1.2.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #455360)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 18:40:54 +0100

amsynth (1.2.0-3) unstable; urgency=low

  * Fixed watch file (Closes: #449828)

 -- Free Ekanayaka <freee@debian.org>  Thu, 13 Dec 2007 11:51:12 +0000

amsynth (1.2.0-2) unstable; urgency=low

  * Fixed broken upstream libjack loading function
  * Depend explicitely on libjack, this should be eventually
    handled by upstream

 -- Free Ekanayaka <freee@debian.org>  Mon, 26 Feb 2007 10:48:21 +0100

amsynth (1.2.0-1) unstable; urgency=low

  * New upstream
  * Depend on libjack-dev instead of libjack0.100.0-dev, which is
    now obsolete
  * Dropped dependency on automake1.4
  * Updated standards version

 -- Free Ekanayaka <freee@debian.org>  Mon, 21 Aug 2006 18:04:36 +0000

amsynth (1.1.0-3) unstable; urgency=low

  * Bug fix: "amsynth: FTBFS on GNU/kFreeBSD (due to unsatisfied
    Build-Depends on libasound2-dev)", thanks to Petr Salinger (Closes:
    #375397).
  * New maintainer Debian Multimedia Team

 -- Free Ekanayaka <freee@debian.org>  Tue, 27 Jun 2006 20:58:32 +0200

amsynth (1.1.0-2) unstable; urgency=low

  * Added debian/patches/70_signal_h patch to fix FTBFS on amd64
    (closes #337029), thanks to Andreas Jochens

 -- Free Ekanayaka <free@agnula.org>  Wed,  2 Nov 2005 23:47:36 +0000

amsynth (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Disabled void-to-int, gtkmm and pthread-kill patches, fixed upstream
  * Updated standard version

 -- Free Ekanayaka <free@agnula.org>  Mon, 31 Oct 2005 06:31:24 +0100

amsynth (1.0.0+1.0.1cvs-1) unstable; urgency=low

  * New upstream (CVS snapshot)
  * Fixed FTBFS (amd64/gcc-3.4): `pthread_kill' undeclared (closes: #274703),
    thanks to Andreas Jochens <aj@andaco.de>
  * Fixed FTBFS (amd64/gcc-4.0): cast from 'void*' to 'int' loses
    precision (closes: #285100), thanks to Andreas Jochens <aj@andaco.de>
  * Fixed libjack0.80.0-0 removed from unstable (closes: #317183)
  * Fixed amsynth can't find data directory (closes: #275137),
    thanks to David A. Riggs <riggs@csee.wvu.edu>
  * Fixed "New instance" calls bad binary (closes: #315698),
    thanks to Christophe Combelles <ccomb@free.fr>
  * Added Desktop file

 -- Free Ekanayaka <free@agnula.org>  Mon,  5 Sep 2005 11:11:29 +0200

amsynth (1.0.0-1) unstable; urgency=low

  * New upstream release
  * First Debian upload (closes: #237196), sponsored by
    Cosimo Alfarano <kalfa@debian.org>

 -- Free Ekanayaka <free@agnula.org>  Wed,  1 Sep 2004 12:32:58 +0200

amsynth (1.0-rc4-0test1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <free@agnula.org>  Sat, 23 Aug 2003 11:03:19 +0200

amsynth (1.0-rc2-1) unstable; urgency=low

  * Initial Release.

 -- Free Ekanayaka <free@centrotemporeale.it>  Sat, 12 Oct 2002 12:54:06 +0200
